// Code generated by mockery v2.9.4. DO NOT EDIT.

package datamock

import (
	mock "github.com/stretchr/testify/mock"
	data "gitlab.com/my-group322/pictures/auth-svc/internal/data"
)

// RecoveryTokensQ is an autogenerated mock type for the RecoveryTokensQ type
type RecoveryTokensQ struct {
	mock.Mock
}

// Create provides a mock function with given fields: token
func (_m *RecoveryTokensQ) Create(token *data.RecoveryToken) error {
	ret := _m.Called(token)

	var r0 error
	if rf, ok := ret.Get(0).(func(*data.RecoveryToken) error); ok {
		r0 = rf(token)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// DeleteExpiredTokens provides a mock function with given fields:
func (_m *RecoveryTokensQ) DeleteExpiredTokens() error {
	ret := _m.Called()

	var r0 error
	if rf, ok := ret.Get(0).(func() error); ok {
		r0 = rf()
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetByHash provides a mock function with given fields: hash
func (_m *RecoveryTokensQ) GetByHash(hash []byte) (*data.RecoveryToken, error) {
	ret := _m.Called(hash)

	var r0 *data.RecoveryToken
	if rf, ok := ret.Get(0).(func([]byte) *data.RecoveryToken); ok {
		r0 = rf(hash)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*data.RecoveryToken)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func([]byte) error); ok {
		r1 = rf(hash)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
